# Uses of Class
org.opensaml.xmlsec.agreement.KeyAgreementParameters

Packages that use KeyAgreementParameters
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.

## Uses of KeyAgreementParameters in org.opensaml.xmlsec.agreement

Methods in org.opensaml.xmlsec.agreement that return KeyAgreementParameters
Modifier and Type
Method
Description
`KeyAgreementParameters`
KeyAgreementCredential.`getParameters()`
The parameters to the key agreement operation.
Methods in org.opensaml.xmlsec.agreement with parameters of type KeyAgreementParameters
Modifier and Type
Method
Description
`KeyAgreementCredential`
KeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters parameters)`
Perform the key agreement operation and return a new credential representing the results.

## Uses of KeyAgreementParameters in org.opensaml.xmlsec.agreement.impl

Fields in org.opensaml.xmlsec.agreement.impl declared as KeyAgreementParameters
Modifier and Type
Field
Description
`private KeyAgreementParameters`
BasicKeyAgreementCredential.`parameters`
Parameters.
Methods in org.opensaml.xmlsec.agreement.impl that return KeyAgreementParameters
Modifier and Type
Method
Description
`KeyAgreementParameters`
BasicKeyAgreementCredential.`getParameters()`
The parameters to the key agreement operation.
`KeyAgreementParameters`
KeyAgreementParametersParser.`parse(AgreementMethod agreementMethod)`
Parse the specified `AgreementMethod` into an instance of `KeyAgreementParameters`.
Methods in org.opensaml.xmlsec.agreement.impl with parameters of type KeyAgreementParameters
Modifier and Type
Method
Description
`protected KeyAgreementCredential`
AbstractKeyAgreementProcessor.`buildKeyAgreementCredential(SecretKey derivedKey, Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Build the final `KeyAgreementCredential` from the given inputs.
`protected SecretKey`
AbstractDerivationKeyAgreementProcessor.`deriveSecretKey(byte[] secret, String keyAlgorithm, KeyAgreementParameters parameters)`
Derive a `SecretKey` from a given secret.
`protected abstract SecretKey`
AbstractKeyAgreementProcessor.`deriveSecretKey(byte[] secret, String keyAlgorithm, KeyAgreementParameters parameters)`
Derive a `SecretKey` from a given secret.
`protected SecretKey`
DHWithLegacyKDFKeyAgreementProcessor.`deriveSecretKey(byte[] secret, String keyAlgorithm, KeyAgreementParameters parameters)`
Derive a `SecretKey` from a given secret.
`KeyAgreementCredential`
AbstractKeyAgreementProcessor.`execute(Credential publicCredential, String keyAlgorithm, KeyAgreementParameters inputParameters)`
Perform the key agreement operation and return a new credential representing the results.
`protected abstract byte[]`
AbstractKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
DHWithExplicitKDFKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
DHWithLegacyKDFKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected byte[]`
ECDHKeyAgreementProcessor.`generateAgreementSecret(Credential publicCredential, Credential privateCredential, KeyAgreementParameters parameters)`
Generate the agreement secret according to the key algorithm and using the supplied public and private credentials.
`protected Credential`
AbstractKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithExplicitKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
DHWithLegacyKDFKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.
`protected Credential`
ECDHKeyAgreementProcessor.`obtainPrivateCredential(Credential publicCredential, KeyAgreementParameters parameters)`
Obtain the private credential which is compatible with the given public credential.